Home
Home
  1. Submissions
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable Widgets
    • Overview
    • Document Upload Widget
      • UI/UX Best Practices
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Supported document types
  • API Reference
    • Submissions
      • Reports
        • List available report templates
        • Download a report
      • Create new submission
        POST
      • Get submission
        GET
      • Update submission
        PUT
      • Update submission status
        PUT
      • Run business verification
        POST
      • Get submission checks
        GET
      • Delete submission
        DELETE
    • Documents
      • Public Documents API
        • List documents
        • Upload document
        • Get document
        • Delete document
      • List documents
      • Upload document for submission
      • Get document
      • Delete document
      • Download document file
      • Rerun validations
    • RPC Search
      • Get company with ID
      • Company RFC Lookup
      • Company Name Search
      • Download document
    • Utilities
      • Matcher
        • Run name matching
  1. Submissions

Run business verification

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
POST
https://api.niva.co/v1
/submissions/{id}/run
Run business verification for this submission after uploading documents. At least one validated document must be uploaded to run an application.
If a submission has already been run, it can be run again after new information is added or new documents are uploaded.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.niva.co/v1/submissions//run' \
--header 'apiKey: <api-key>'

Responses

🟢202Accepted
application/json
Bodyapplication/json

Example
{
    "id": "ce00fdd50d9d4ed05087ffb6",
    "status": "processing",
    "created_at": "2024-07-20T17:56:13.224Z",
    "updated_at": "2024-07-21T06:25:51.650Z"
}
🟠400Bad Request
🟠404Not found
Previous
Update submission status
Next
Get submission checks